Bug 947693 - License tag seems to be incorrect
License tag seems to be incorrect
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ntop (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marcelo Barbosa "firemanxbr"
Fedora Extras Quality Assurance
: Tracking
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-04-02 23:35 EDT by Mathieu Bridon
Modified: 2014-01-21 16:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 16:27:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mathieu Bridon 2013-04-02 23:35:35 EDT
The current license tag for the ntop package is:
    License:        GPLv2 and BSD with advertising

This seems to be wrong, because it doesn't take into account the nDPI source code.

All the source files in nDPI/src contain a LGPLv3+ header.

So, it seems to me that the license tag should be:
    License:        GPLv2 and LGPLv3+ and BSD with advertising

(no idea whether that is even possible)

However, the home page of nDPI states:
"Open and Extensible GPLv3 Deep Packet Inspection Library."
 -> http://www.ntop.org/products/ndpi/

So that's all a bit confusing. :-/

I'm opening the bug against Fedora 17, as it is the earliest version which is impacted, but the same is valid for Fedora 18, 19 and Rawhide.
Comment 1 Mathieu Bridon 2013-04-03 00:59:33 EDT
And here's more:

- the bulk of ntop seems to be GPLv2+, rather than GPLv2
- html/jqplot/excanvas.js is Apache Licence 2.0
- countmin.c is CC-By-NC
- the bundled jquery and jqplot in the html/ folder are "MIT or GPL", but
  they also mention CC-By in some copyright headers.
- protocols.c is under "GPLv2+ and BSD with advertising"

The last one is a bit worrying, as the Fedora Licensing page says that BSD with advertising is incompatible with GPL:
    https://fedoraproject.org/wiki/Licensing:Main#Good_Licenses

I feel like I've just opened a can of worms here. :-/
Comment 2 Fedora End Of Life 2013-07-03 18:27:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora Admin XMLRPC Client 2013-07-30 14:03:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2013-09-16 09:25:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Mathieu Bridon 2014-01-21 00:16:34 EST
I should probably have done that when I opened this bug report, but better late than never.

Blocking FE-Legal.
Comment 6 Tom "spot" Callaway 2014-01-21 16:27:47 EST
Okay, so protocols.c is not an issue, because the BSD with advertising is (C) The Regents of the University of California, and they have universally waived the advertising clause for all BSD licensed works they hold copyright too.

countmin.* (and prng.*) were relicensed by the author to GPLv2+ in a later version, so I've patched those in.

The BSD with advertising files are the .dat files for Geolocation, but they've been relicensed to CC-BY-SA.

The Jquery files are marked as (MIT or GPLv2+) but upstream jquery has relicensed all works to just MIT. Even if they had not, if there was a compat concern, Fedora would have chosen the MIT option. But, in case someone wanted to use the jquery bits under GPLv2, I've left it in the tag.

html/jqplot/excanvas.js is ASL 2.0, but it is not a GPL compat issue
because it is not linked to anything.

nDPI is LGPLv3+ (and it is linked to ntop, which is GPLv2+)

This means that practically, the ntop combined work is GPLv3+ but since this is already confusing, I will not simplify it down in the license tag.

This leaves us with the correct license tag of:
License:  	GPLv2+ and LGPLv3+ and (MIT or GPLv2) and ASL 2.0 and BSD with advertising and CC-BY-SA

Which is fine for Fedora. :)

I've fixed this (and updated things to 5.0.1 and the latest geoip databases) in rawhide.
Comment 7 Tom "spot" Callaway 2014-01-21 16:28:34 EST
Whoops. I got that license tag wrong. I've fixed it in rawhide, the BSD with advertising is gone. :)

Note You need to log in before you can comment on or make changes to this bug.